From c09fd489dd26b99713992e2192d7d2f8a931b0da Mon Sep 17 00:00:00 2001
From: "stew@debian.org" <stew@debian.org>
Date: Thu, 8 Oct 2015 13:30:38 -0700
Subject: whrandom in python2.4 is deprecated, and in python2.5 is gone

this patch uses the 'random' module which is a drop-in replacement
Patch-Name: 02_whrandom_gone.patch
---
 test/ogg123.py | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/test/ogg123.py b/test/ogg123.py
index 8c5750c..988ec73 100755
--- a/test/ogg123.py
+++ b/test/ogg123.py
@@ -17,7 +17,7 @@ import sys
 import string
 import re
 import os
-import whrandom
+import random
 import time
 
 import ogg.vorbis
@@ -189,7 +189,7 @@ def main():
             verbose = 0
 
         elif arg == '-z' or arg == '--shuffle':
-            ri = whrandom.randrange
+            ri = random.randrange
             for pos in range(len(args)):
                 newpos = ri(pos, len(args))
                 tmp = args[pos]
